#! /bin/bash

# $Id: install.sh,v 1.1 1999/06/01 22:42:17 aqua Exp $

# Edit the following to suit your system

PREFIX=/usr/local/
PERL=`which perl`
SED=`which sed`

CONFDIR=$PREFIX/etc/sugarplum
BINDIR=$PREFIX/bin
CGIDIR=/home/httpd/cgi-bin

WEBGROUP=root

# The rest shouldn't need editing, but do so anyway if you feel the need

for dir in $PREFIX $PREFIX/bin $PREFIX/etc $CGIDIR ; do
    if [ ! -d $dir ] ; then
	echo $dir is not a directory, please edit $0
	exit
    fi
done

if [ ! -e "$PERL" ] ; then
    echo Can\'t find perl at $PERL, please edit $0
    exit
fi
if [ ! -e "$SED" ] ; then
    echo Can\'t find sed at $SED, please edit $0
    exit
fi

if ( ! grep -q "^$WEBGROUP:" /etc/group ) ; then
	echo "Group $WEBGROUP does not exist, please edit $0"
	exit
fi

if [ ! -d "$CONFDIR" ] ; then
    install -m 0750 -d $CONFDIR
    install -m 0710 -d $CONFDIR/attacks
fi

if [ ! -e "$CONFDIR/agentlog.gdbm" ] ; then
    touch "$CONFDIR/agentlog.gdbm"
    chgrp $WEBGROUP "$CONFDIR/agentlog.gdbm"
    chmod 0660  "$CONFDIR/agentlog.gdbm"
fi

if [ ! -e "$CONFDIR/poison.log" ] ; then
    touch "$CONFDIR/poison.log"
    chgrp $WEBGROUP "$CONFDIR/poison.log"
    chmod 0620 "$CONFDIR/poison.log"
fi

install -m 0755 makepoisondb $BINDIR

if [ ! -d "$CGIDIR/sugarplum" ] ; then
    install -m 0755 -d $CGIDIR/sugarplum
fi

if [ "$PERL" = "X/usr/bin/perl" ] ; then
    install -m 0755 poison $CGIDIR/sugarplum/
else
    $SED "s:^#\!/usr/bin/perl:#\!$PERL:" < poison > $CGIDIR/sugarplum/poison
    chmod 0755 $CGIDIR/sugarplum/poison
fi

